Skip to main content
POST
/
v3
/
queries
API to fetch metrics used to plot monitoring charts
curl --request POST \
  --url https://{host}/v3/queries \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "queries": [
    {
      "query_key": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metric": "<string>",
      "columns": [
        "<string>"
      ],
      "baseline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "categories": [
        "<string>"
      ],
      "segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "segment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "definition": "<string>"
      }
    }
  ]
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "organization": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "project": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "filters": {
      "time_zone": "Etc/GMT",
      "bin_size": "Hour",
      "time_range": {
        "start_time": "2023-11-07T05:31:56Z",
        "end_time": "2023-11-07T05:31:56Z"
      }
    },
    "results": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Monitoring queries request object

project_id
string<uuid>
required

Unique identifier of the project

time_comparison
enum<string>

Specifes the time period to comapre the data against

Available options:
Previous Day,
Previous Week,
Previous Month,
Previous Quarter,
Previous Year
query_type
enum<string>

Specfies the query type to fetch the corresponding metrics

Available options:
MONITORING,
EMBEDDING,
ANALYTICS
filters
QueryFilter · object

Filters for querying data, including time, time zone, and bin size.

queries
Monitoring query request fields · object[]

Response

OK

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object